Bug 86445 - [Qt][GTK][EFL] New fast/multicol/split-in-top-margin.html fails
Summary: [Qt][GTK][EFL] New fast/multicol/split-in-top-margin.html fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 86388 87008 104528
  Show dependency treegraph
 
Reported: 2012-05-14 22:44 PDT by Csaba Osztrogonác
Modified: 2013-04-23 10:55 PDT (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2012-05-14 22:44:24 PDT
fast/multicol/split-in-top-margin.html was introduced in https://trac.webkit.org/changeset/116986,
but fails on GTK and Qt with minor differences. Maybe this new ref test is incorrect,
because it shouldn't be platform dependent.

Qt result: http://build.webkit.sed.hu/results/x86-64%20Linux%20Qt%20Release/r117025%20%2837373%29/fast/multicol/split-in-top-margin-diffs.html
GTK result: http://build.webkit.org/results/GTK%20Linux%2064-bit%20Release/r117027%20%2823696%29/fast/multicol/split-in-top-margin-diffs.html

Could you check it, please?
Comment 2 Csaba Osztrogonác 2012-05-14 23:01:15 PDT
I skipped it on Qt - https://trac.webkit.org/changeset/117031/trunk/LayoutTests/platform/qt/Skipped

Please unskip it with the proper fix.
Comment 3 Zan Dobersek 2012-05-15 01:54:28 PDT
Marked as failures for GTK in http://trac.webkit.org/changeset/117042.
Comment 4 Raphael Kubo da Costa (:rakuco) 2012-05-31 17:41:54 PDT
Fails on EFL as well.
Comment 5 Zan Dobersek 2013-04-23 10:55:04 PDT
This test was fixed for the GTK port by enabling the subpixel layout. It is already passing on EFL and should pass on Qt as well but is currently skipped.

Closing as fixed.